DECLARE

resultat CLOB;

BEGIN

 -- BAIXA CENTRAL

 pr_alta_central_solar ('45', 'C/ Riudoms, 272', 25320, 'Lleida', 'Lleida', 'Catalunya',
  '', 90000, 2550, resultat);
 pr_baixa_central ('45', resultat);

 -- prova exc_codi_central_nul
 pr_baixa_central ('', resultat);
 -- prova exc_central_no_existeix
 pr_baixa_central ('52', resultat);
 -- prova exc_te_contadors
 pr_baixa_central ('1', resultat);
 pr_baixa_central ('12', resultat);
 -- prova exc_te_centraletes
 pr_alta_central_solar ('45', 'C/ Riudoms, 272', 25320, 'Lleida', 'Lleida', 'Catalunya',
  '', 90000, 2550, resultat);
 pr_alta_linia ('45', '45', '17', 5000, resultat);
 pr_baixa_central ('45', resultat);


 -- BAIXA CENTRALETA-CONTADOR

 pr_baixa_centraleta_contador ('8', '12', resultat);

 --prova exc_codi_contracte_nul
 pr_baixa_centraleta_contador ('', '12', resultat);
 --prova exc_codi_central_nul
 pr_baixa_centraleta_contador ('8', '', resultat);
 --prova exc_relacio_no_existeix
 pr_baixa_centraleta_contador ('8', '17', resultat);


 -- BAIXA CONTADOR

 -- La baixa correcta ja est provada anteriorment en les modificacions

 --prova exc_codi_contracte_nul
 pr_baixa_contador ('', resultat);
 --prova exc_contracte_no_existeix
 pr_baixa_contador ('67', resultat);
 --prova exc_contracte_baixa
 pr_baixa_contador ('23', resultat);


 -- BAIXA LINIA
 pr_baixa_linia ('45', resultat);

 -- prova exc_codi_linia_nul
 pr_baixa_linia ('', resultat);
 -- prova exc_linia_no_existeix
 pr_baixa_linia ('52', resultat);


 -- BAIXA PERSONA
 pr_alta_persona ('12345678W', 'Pau', 'Calas Tous',
  'C/ Miramar, 12', 25464, 'Lleida', 'Lleida', 'Catalunya', resultat);
 pr_baixa_persona ('12345678W', resultat);

 -- prova exc_NIF_nul
 pr_baixa_persona ('', resultat);
 -- prova exc_NIF_no_existeix
 pr_baixa_persona ('12345678Y', resultat);
 -- prova exc_contractes_NIF
 pr_baixa_persona ('12345678B', resultat);

END;
