DECLARE

resultat CLOB;

BEGIN

 -- ALTA CENTRAL CARB

 -- prova exc_codi_central_nul
 pr_alta_central_carbo ('', 'AV. 11 Setembre, 11', 43180, 'Vandells', 'Tarragona', 'Catalunya',
  '', 120000, 80000, resultat);
 -- prova exc_central_existeix
 pr_alta_central_carbo ('3', 'AV. 11 Setembre, 11', 43180, 'Vandells', 'Tarragona', 'Catalunya',
  '', 120000, 80000, resultat);
 -- prova exc_adrea_nul
 pr_alta_central_carbo ('18', '', 43180, 'Vandells', 'Tarragona', 'Catalunya',
  '', 120000, 80000, resultat);
 -- prova exc_codi_postal_nul
 pr_alta_central_carbo ('18', 'AV. 11 Setembre, 11', '', 'Vandells', 'Tarragona', 'Catalunya',
  '', 120000, 80000, resultat);
 -- prova exc_poblacio_nul
 pr_alta_central_carbo ('18', 'AV. 11 Setembre, 11', 43180, '', 'Tarragona', 'Catalunya',
  '', 120000, 80000, resultat);
 -- prova exc_provincia_nul
 pr_alta_central_carbo ('18', 'AV. 11 Setembre, 11', 43180, 'Vandells', '', 'Catalunya',
  '', 120000, 80000, resultat);
 -- prova exc_pais_nul
 pr_alta_central_carbo ('18', 'AV. 11 Setembre, 11', 43180, 'Vandells', 'Tarragona', '',
  '', 120000, 80000, resultat);
 -- prova exc_capacitat_maxima_nul
 pr_alta_central_carbo ('18', 'AV. 11 Setembre, 11', 43180, 'Vandells', 'Tarragona', 'Catalunya',
  '', '', 80000, resultat);

 -- ALTA CENTRAL ELICA

 -- prova exc_codi_central_nul
 pr_alta_central_eolica ('', 'AV. 11 Setembre, 11', 43180, 'Vandells', 'Tarragona', 'Catalunya',
  '', 120000, 1500, resultat);
 -- prova exc_central_existeix
 pr_alta_central_eolica ('3', 'AV. 11 Setembre, 11', 43180, 'Vandells', 'Tarragona', 'Catalunya',
  '', 120000, 1500, resultat);
 -- prova exc_adrea_nul
 pr_alta_central_eolica ('18', '', 43180, 'Vandells', 'Tarragona', 'Catalunya',
  '', 120000, 1500, resultat);
 -- prova exc_codi_postal_nul
 pr_alta_central_eolica ('18', 'AV. 11 Setembre, 11', '', 'Vandells', 'Tarragona', 'Catalunya',
  '', 120000, 1500, resultat);
 -- prova exc_poblacio_nul
 pr_alta_central_eolica ('18', 'AV. 11 Setembre, 11', 43180, '', 'Tarragona', 'Catalunya',
  '', 120000, 1500, resultat);
 -- prova exc_provincia_nul
 pr_alta_central_eolica ('18', 'AV. 11 Setembre, 11', 43180, 'Vandells', '', 'Catalunya',
  '', 120000, 1500, resultat);
 -- prova exc_pais_nul
 pr_alta_central_eolica ('18', 'AV. 11 Setembre, 11', 43180, 'Vandells', 'Tarragona', '',
  '', 120000, 1500, resultat);
 -- prova exc_capacitat_maxima_nul
 pr_alta_central_eolica ('18', 'AV. 11 Setembre, 11', 43180, 'Vandells', 'Tarragona', 'Catalunya',
  '', '', 1500, resultat);

 -- ALTA CENTRAL NUCLEAR

 -- prova exc_codi_central_nul
 pr_alta_central_nuclear ('', 'AV. 11 Setembre, 11', 43180, 'Vandells', 'Tarragona', 'Catalunya',
  '', 120000, 80000, resultat);
 -- prova exc_central_existeix
 pr_alta_central_nuclear ('3', 'AV. 11 Setembre, 11', 43180, 'Vandells', 'Tarragona', 'Catalunya',
  '', 120000, 80000, resultat);
 -- prova exc_adrea_nul
 pr_alta_central_nuclear ('18', '', 43180, 'Vandells', 'Tarragona', 'Catalunya',
  '', 120000, 80000, resultat);
 -- prova exc_codi_postal_nul
 pr_alta_central_nuclear ('18', 'AV. 11 Setembre, 11', '', 'Vandells', 'Tarragona', 'Catalunya',
  '', 120000, 80000, resultat);
 -- prova exc_poblacio_nul
 pr_alta_central_nuclear ('18', 'AV. 11 Setembre, 11', 43180, '', 'Tarragona', 'Catalunya',
  '', 120000, 80000, resultat);
 -- prova exc_provincia_nul
 pr_alta_central_nuclear ('18', 'AV. 11 Setembre, 11', 43180, 'Vandells', '', 'Catalunya',
  '', 120000, 80000, resultat);
 -- prova exc_pais_nul
 pr_alta_central_nuclear ('18', 'AV. 11 Setembre, 11', 43180, 'Vandells', 'Tarragona', '',
  '', 120000, 80000, resultat);
 -- prova exc_capacitat_maxima_nul
 pr_alta_central_nuclear ('18', 'AV. 11 Setembre, 11', 43180, 'Vandells', 'Tarragona', 'Catalunya',
  '', '', 80000, resultat);
 -- prova exc_energia_minima_nul
 pr_alta_central_nuclear ('18', 'AV. 11 Setembre, 11', 43180, 'Vandells', 'Tarragona', 'Catalunya',
  '', 120000, '', resultat);

 -- ALTA CENTRAL SOLAR

 -- prova exc_codi_central_nul
 pr_alta_central_solar ('', 'AV. 11 Setembre, 11', 43180, 'Vandells', 'Tarragona', 'Catalunya',
  '', 120000, 1500, resultat);
 -- prova exc_central_existeix
 pr_alta_central_solar ('3', 'AV. 11 Setembre, 11', 43180, 'Vandells', 'Tarragona', 'Catalunya',
  '', 120000, 1500, resultat);
 -- prova exc_adrea_nul
 pr_alta_central_solar ('18', '', 43180, 'Vandells', 'Tarragona', 'Catalunya',
  '', 120000, 1500, resultat);
 -- prova exc_codi_postal_nul
 pr_alta_central_solar ('18', 'AV. 11 Setembre, 11', '', 'Vandells', 'Tarragona', 'Catalunya',
  '', 120000, 1500, resultat);
 -- prova exc_poblacio_nul
 pr_alta_central_solar ('18', 'AV. 11 Setembre, 11', 43180, '', 'Tarragona', 'Catalunya',
  '', 120000, 1500, resultat);
 -- prova exc_provincia_nul
 pr_alta_central_solar ('18', 'AV. 11 Setembre, 11', 43180, 'Vandells', '', 'Catalunya',
  '', 120000, 1500, resultat);
 -- prova exc_pais_nul
 pr_alta_central_solar ('18', 'AV. 11 Setembre, 11', 43180, 'Vandells', 'Tarragona', '',
  '', 120000, 1500, resultat);
 -- prova exc_capacitat_maxima_nul
 pr_alta_central_solar ('18', 'AV. 11 Setembre, 11', 43180, 'Vandells', 'Tarragona', 'Catalunya',
  '', '', 1500, resultat);
 -- prova exc_numero_panells_nul
 pr_alta_central_solar ('18', 'AV. 11 Setembre, 11', 43180, 'Vandells', 'Tarragona', 'Catalunya',
  '', 120000, '', resultat);


 -- ALTA CENTRAL TRMICA

 -- prova exc_codi_central_nul
 pr_alta_central_termica ('', 'AV. 11 Setembre, 11', 43180, 'Vandells', 'Tarragona', 'Catalunya',
  '', 120000, 80000, resultat);
 -- prova exc_central_existeix
 pr_alta_central_termica ('3', 'AV. 11 Setembre, 11', 43180, 'Vandells', 'Tarragona', 'Catalunya',
  '', 120000, 80000, resultat);
 -- prova exc_adrea_nul
 pr_alta_central_termica ('18', '', 43180, 'Vandells', 'Tarragona', 'Catalunya',
  '', 120000, 80000, resultat);
 -- prova exc_codi_postal_nul
 pr_alta_central_termica ('18', 'AV. 11 Setembre, 11', '', 'Vandells', 'Tarragona', 'Catalunya',
  '', 120000, 80000, resultat);
 -- prova exc_poblacio_nul
 pr_alta_central_termica ('18', 'AV. 11 Setembre, 11', 43180, '', 'Tarragona', 'Catalunya',
  '', 120000, 80000, resultat);
 -- prova exc_provincia_nul
 pr_alta_central_termica ('18', 'AV. 11 Setembre, 11', 43180, 'Vandells', '', 'Catalunya',
  '', 120000, 80000, resultat);
 -- prova exc_pais_nul
 pr_alta_central_termica ('18', 'AV. 11 Setembre, 11', 43180, 'Vandells', 'Tarragona', '',
  '', 120000, 80000, resultat);
 -- prova exc_capacitat_maxima_nul
 pr_alta_central_termica ('18', 'AV. 11 Setembre, 11', 43180, 'Vandells', 'Tarragona', 'Catalunya',
  '', '', 80000, resultat);

 -- ALTA CENTRALETA DISTRIBUCI


 -- prova exc_codi_central_nul
 pr_alta_central_distribucio ('', 'AV. 11 Setembre, 11', 43180, 'Vandells', 'Tarragona', 'Catalunya',
  '', 12000, resultat);
 -- prova exc_central_existeix
 pr_alta_central_distribucio ('9', 'AV. 11 Setembre, 11', 43180, 'Vandells', 'Tarragona', 'Catalunya',
  '', 12000, resultat);
 -- prova exc_adrea_nul
 pr_alta_central_distribucio ('18', '', 43180, 'Vandells', 'Tarragona', 'Catalunya',
  '', 12000, resultat);
 -- prova exc_codi_postal_nul
 pr_alta_central_distribucio ('18', 'AV. 11 Setembre, 11', '', 'Vandells', 'Tarragona', 'Catalunya',
  '', 12000, resultat);
 -- prova exc_poblacio_nul
 pr_alta_central_distribucio ('18', 'AV. 11 Setembre, 11', 43180, '', 'Tarragona', 'Catalunya',
  '', 12000, resultat);
 -- prova exc_provincia_nul
 pr_alta_central_distribucio ('18', 'AV. 11 Setembre, 11', 43180, 'Vandells', '', 'Catalunya',
  '', 12000, resultat);
 -- prova exc_pais_nul
 pr_alta_central_distribucio ('18', 'AV. 11 Setembre, 11', 43180, 'Vandells', 'Tarragona', '',
  '', 12000, resultat);
 -- prova exc_capacitat_maxima_nul
 pr_alta_central_distribucio ('18', 'AV. 11 Setembre, 11', 43180, 'Vandells', 'Tarragona', 'Catalunya',
  '', '', resultat);

 -- ALTA LNIA COMUNICACI

 -- prova exc_codi_linia_nul EXCEPTION;
 pr_alta_linia ('', '3', '10', 5000, resultat);
 -- prova exc_linia_existeix EXCEPTION;
 pr_alta_linia ('1', '3', '10', 5000, resultat);
 -- prova exc_central_produccio_nul EXCEPTION;
 pr_alta_linia ('17', '', '10', 5000, resultat);
 -- prova exc_produccio_no_existeix EXCEPTION;
 pr_alta_linia ('17', '18', '10', 5000, resultat);
 -- prova exc_central_no_es_produccio EXCEPTION;
 pr_alta_linia ('17', '12', '10', 5000, resultat);
 -- prova exc_central_distribucio_nul EXCEPTION;
 pr_alta_linia ('17', '3', '', 5000, resultat);
 -- prova exc_distribucio_no_existeix EXCEPTION;
 pr_alta_linia ('17', '3', '18', 5000, resultat);
 -- prova exc_central_no_es_distribucio EXCEPTION;
 pr_alta_linia ('17', '3', '1', 5000, resultat);
 -- prova exc_capacitat_nul EXCEPTION;
 pr_alta_linia ('17', '3', '17', '', resultat);
 -- prova exc_falta_capacitat_linia EXCEPTION;
 pr_alta_linia ('17', '3', '17', 10, resultat);
 --prova exc_falta_capacitat_CP EXCEPTION;
 pr_alta_linia ('17', '3', '17', 5000, resultat);

 -- ALTA PERSONA

 -- prova exc_NIF_nul
 pr_alta_persona ('', 'Antoni', 'Bassas Recasens',
  'C/ Amargura, 2', 43200, 'Reus', 'Tarragona', 'Catalunya', resultat);
 -- prova exc_NIF_existeix
 pr_alta_persona ('12345678E', 'Antoni', 'Bassas Recasens',
  'C/ Amargura, 2', 43200, 'Reus', 'Tarragona', 'Catalunya', resultat);
 -- prova exc_nom_nul
 pr_alta_persona ('12345678Q','', 'Bassas Recasens',
  'C/ Amargura, 2', 43200, 'Reus', 'Tarragona', 'Catalunya', resultat);
 -- prova exc_cognoms_nul
 pr_alta_persona ('12345678Q', 'Antoni','',
  'C/ Amargura, 2', 43200, 'Reus', 'Tarragona', 'Catalunya', resultat);
 -- prova exc_adrea_nul
 pr_alta_persona ('12345678Q', 'Antoni', 'Bassas Recasens',
  '', 43200, 'Reus', 'Tarragona', 'Catalunya', resultat);
 -- prova exc_codi_postal_nul
 pr_alta_persona ('12345678Q', 'Antoni', 'Bassas Recasens',
  'C/ Amargura, 2','', 'Reus', 'Tarragona', 'Catalunya', resultat);
 -- prova exc_poblacio_nul
 pr_alta_persona ('12345678Q', 'Antoni', 'Bassas Recasens',
  'C/ Amargura, 2', 43200,'', 'Tarragona', 'Catalunya', resultat);
 -- prova exc_provincia_nul
 pr_alta_persona ('12345678Q', 'Antoni', 'Bassas Recasens',
  'C/ Amargura, 2', 43200, 'Reus','', 'Catalunya', resultat);
 -- prova exc_pais_nul
 pr_alta_persona ('12345678Q', 'Antoni', 'Bassas Recasens',
  'C/ Amargura, 2', 43200, 'Reus', 'Tarragona','', resultat);

 -- ALTA CONTADOR

 -- prova exc_contracte_nul
 pr_alta_contador ('', 2.2, 'C/ Amargura, 2', 43200, 'Reus', 'Tarragona', 'Catalunya',
  'GE', 'SuperCounter', 2010, '123456', '12345678A', resultat);
 -- prova exc_contracte_existeix
 pr_alta_contador ('1', 2.2, 'C/ Amargura, 2', 43200, 'Reus', 'Tarragona', 'Catalunya',
  'GE', 'SuperCounter', 2010, '123456', '12345678A', resultat);
 -- prova exc_potencia_nul
 pr_alta_contador ('24', '', 'C/ Amargura, 2', 43200, 'Reus', 'Tarragona', 'Catalunya',
  'GE', 'SuperCounter', 2010, '123456', '12345678A', resultat);
 -- prova exc_adrea_nul
 pr_alta_contador ('24', 2.2, '', 43200, 'Reus', 'Tarragona', 'Catalunya',
  'GE', 'SuperCounter', 2010, '123456', '12345678A', resultat);
 -- prova exc_codi_postal_nul
 pr_alta_contador ('24', 2.2, 'C/ Amargura, 2', '', 'Reus', 'Tarragona', 'Catalunya',
  'GE', 'SuperCounter', 2010, '123456', '12345678A', resultat);
 -- prova exc_poblacio_nul
 pr_alta_contador ('24', 2.2, 'C/ Amargura, 2', 43200, '', 'Tarragona', 'Catalunya',
  'GE', 'SuperCounter', 2010, '123456', '12345678A', resultat);
 -- prova exc_provincia_nul
 pr_alta_contador ('24', 2.2, 'C/ Amargura, 2', 43200, 'Reus', '', 'Catalunya',
  'GE', 'SuperCounter', 2010, '123456', '12345678A', resultat);
 -- prova exc_pais_nul
 pr_alta_contador ('24', 2.2, 'C/ Amargura, 2', 43200, 'Reus', 'Tarragona', '',
  'GE', 'SuperCounter', 2010, '123456', '12345678A', resultat);
 -- prova exc_any_incorrecte
 pr_alta_contador ('24', 2.2, 'C/ Amargura, 2', 43200, 'Reus', 'Tarragona', 'Catalunya',
  'GE', 'SuperCounter', 92, '123456', '12345678A', resultat);
 -- prova exc_client_nul
 pr_alta_contador ('24', 2.2, 'C/ Amargura, 2', 43200, 'Reus', 'Tarragona', 'Catalunya',
  'GE', 'SuperCounter', 2010, '123456', '', resultat);
 -- prova exc_client_no_existeix
 pr_alta_contador ('24', 2.2, 'C/ Amargura, 2', 43200, 'Reus', 'Tarragona', 'Catalunya',
  'GE', 'SuperCounter', 2010, '123456', '12345678S', resultat);

 -- ALTA CENTRALETA-CONTADOR

 -- prova exc_codi_contracte_nul
 pr_alta_centraleta_contador ('', '10', resultat);
 -- prova exc_contador_no_existeix
 pr_alta_centraleta_contador ('32', '10', resultat);
 -- prova exc_contador_baixa
 pr_alta_centraleta_contador ('23', '10', resultat);
 -- prova exc_codi_central_nul
 pr_alta_centraleta_contador ('21', '', resultat);
 -- prova exc_central_no_existeix
 pr_alta_centraleta_contador ('21', '22', resultat);
 -- prova exc_contracte_central_existeix
 pr_alta_centraleta_contador ('15', '13', resultat);
 -- prova exc_falta_capacitat
 pr_alta_central_distribucio ('18', 'AV. 11 Setembre, 12', 08024, 'Viladecans', 'Barcelona', 'Catalunya',
  '', 1000, resultat);
 pr_alta_contador ('24', 2.2, 'C/ Amargura, 2', 43200, 'Reus', 'Tarragona', 'Catalunya',
  'GE', 'SuperCounter', 2010, '127756', '12345678A', resultat);
 pr_alta_centraleta_contador ('24', '18', resultat);

 -- ALTA MODALITAT LECTURA

 -- prova exc_codi_modalitat_nul
 pr_alta_modalitat_lectura ('', 'inventada', resultat);
 -- prova exc_nom_modalitat_nul
 pr_alta_modalitat_lectura ('4', '', resultat);
 -- prova exc_codi_modalitat_existeix
 pr_alta_modalitat_lectura ('2', 'inventada', resultat);
 -- prova exc_nom_modalitat_existeix
 pr_alta_modalitat_lectura ('4', 'ESTIMADA', resultat);

 -- ALTA LECTURA CONTADOR

 -- prova exc_codi_contracte_nul
 pr_alta_lectura_contador ('', '01-12-2010', 120.2, 1, resultat);
 -- prova exc_contracte_no_existeix
 pr_alta_lectura_contador ('32', '01-12-2010', 120.2, 1, resultat);
 -- prova exc_contracte_baixa
 pr_alta_lectura_contador ('23', '01-12-2010', 120.2, 1, resultat);
 -- prova exc_no_CD
 pr_alta_contador ('25', 2.2, 'C/ Amargura, 2', 43200, 'Reus', 'Tarragona', 'Catalunya',
  'GE', 'SuperCounter', 2010, '188756', '12345678A', resultat); 
 pr_alta_lectura_contador ('25', '01-12-2010', 120.2, 1, resultat);
 -- prova exc_no_CP
 pr_alta_central_distribucio ('19', 'AV. 11 Setembre, 12', 08024, 'Viladecans', 'Barcelona', 'Catalunya',
  '', 10000, resultat);
 pr_alta_contador ('26', 2.2, 'C/ Amargura, 2', 43200, 'Reus', 'Tarragona', 'Catalunya',
  'GE', 'SuperCounter', 2010, '127996', '12345678A', resultat);
 pr_alta_centraleta_contador ('26', '19', resultat);
 pr_alta_lectura_contador ('26', '01-10-2010', 120.2, 1, resultat);
 -- prova exc_data_nul
 pr_alta_lectura_contador ('1', '', 120.2, 1, resultat);
 -- prova exc_valor_nul
 pr_alta_lectura_contador ('1', '01-10-2010', '', 1, resultat);
 -- prova exc_contracte_data_existeix
 pr_alta_lectura_contador ('1', '01-12-2010', 120.2, 1, resultat);

END;