/*	Autor: David Malet
	Data: 23-05-2012
	Projecte: Sistema de Control Energtic
	Revisi: 1
	Base de Dades: Oracle 10g
*/

/* Creaci de taules per la Sortida DBMS dels
   Procediments de Consulta */

REM SYSTEM SORTIDA10CENTRALETES

  CREATE TABLE "SYSTEM"."SORTIDA10CENTRALETES" 
   (	"CODI" VARCHAR2(50 BYTE), 
	"ADREA" VARCHAR2(150 BYTE), 
	"CODI_POSTAL" NUMBER(5,0), 
	"POBLACIO" VARCHAR2(75 BYTE), 
	"PROVINCIA" VARCHAR2(40 BYTE), 
	"PAIS" VARCHAR2(25 BYTE), 
	"ENERGIA_EMESA" NUMBER(*,2), 
	"CAPACITAT_MAXIMA" NUMBER(*,2)
   ) ;

REM SYSTEM SORTIDA10LINIES

  CREATE TABLE "SYSTEM"."SORTIDA10LINIES" 
   (	"CODI" VARCHAR2(50 BYTE), 
	"CARREGA" NUMBER, 
	"AMPLIACIO" NUMBER
   ) ;

REM SYSTEM SORTIDA80PCNT

  CREATE TABLE "SYSTEM"."SORTIDA80PCNT" 
   (	"CONTADOR" VARCHAR2(50 BYTE), 
	"POTENCIA" NUMBER(*,3), 
	"PERCENTATGE" NUMBER(*,2)
   ) ;

REM SYSTEM SORTIDAALTADISP

  CREATE TABLE "SYSTEM"."SORTIDAALTADISP" 
   (	"NIF" VARCHAR2(15 BYTE), 
	"CODI" VARCHAR2(50 BYTE), 
	"MODEL_C" VARCHAR2(25 BYTE)
   ) ;

REM SYSTEM SORTIDAANTIGUITAT

  CREATE TABLE "SYSTEM"."SORTIDAANTIGUITAT" 
   (	"CONTADOR" VARCHAR2(50 BYTE), 
	"ANTIGUITAT" NUMBER(*,0)
   ) ;

REM SYSTEM SORTIDACONSUMCP

  CREATE TABLE "SYSTEM"."SORTIDACONSUMCP" 
   (	"CONTADOR" VARCHAR2(50 BYTE), 
	"CONSUM" NUMBER, 
	"TOTAL" NUMBER
   ) ;

REM SYSTEM SORTIDALECTURES

  CREATE TABLE "SYSTEM"."SORTIDALECTURES" 
   (	"MODALITAT" VARCHAR2(15 BYTE), 
	"PERCENTATGE" NUMBER
   ) ;

