DECLARE

resultat CLOB;

BEGIN

 -- MODIFICACIO CENTRAL CARB

 pr_modificacio_central_carbo ('3', 'C/ Maragall, 10', 25050, 'Lleida', 'Lleida', 'Catalunya',
  '01-12-2010', 30000, 10000, resultat);

 -- MODIFICACI CENTRAL ELICA

 pr_modificacio_central_eolica ('4', 'C/ Maspujols, 72', 25520, 'Lleida', 'Lleida', 'Catalunya',
  '01-12-2010', 90000, 275, resultat);

 -- MODIFICACI CENTRAL NUCLEAR

 pr_modificacio_central_nuclear ('1', 'AV. 11 Setembre, s/n', 43180, 'Vandells', 'Tarragona', 'Catalunya',
  '01-12-2010', 110000, 90000, resultat);

 -- MODIFICACI CENTRAL SOLAR

 pr_modificacio_central_solar ('5', 'C/ Riudoms, s/n', 25320, 'Lleida', 'Lleida', 'Catalunya',
  '01-12-2010', 75000, 3000, resultat);

 -- MODIFICACI CENTRAL TRMICA

 pr_modificacio_central_termica ('2', 'C/ de la Central, 10', 08510, 'Berga', 'Barcelona', 'Catalunya',
  '01-12-2010', 900000, 90000, resultat);

 -- MODIFICACI CENTRALETA DISTRIBUCI

 pr_mod_central_distribucio ('6', 'C/ Sard, 14', 08450, 'Barcelona', 'Barcelona', 'Catalunya',
  '01-12-2010', 9000, resultat);

 -- EXCEPCIONS MODIFICACIO CENTRALS

 -- prova exc_codi_central_nul
 pr_mod_central_distribucio ('', 'C/ Sard, 14', 08450, 'Barcelona', 'Barcelona', 'Catalunya',
  '01-12-2010', 9000, resultat);
 -- prova exc_central_no_existeix
 pr_mod_central_distribucio ('32', 'C/ Sard, 14', 08450, 'Barcelona', 'Barcelona', 'Catalunya',
  '01-12-2010', 9000, resultat);
 -- prova exc_tipus_incorrecte
 pr_mod_central_distribucio ('1', 'C/ Sard, 14', 08450, 'Barcelona', 'Barcelona', 'Catalunya',
  '01-12-2010', 9000, resultat);
 -- prova exc_adrea_nul
 pr_mod_central_distribucio ('6', '', 08450, 'Barcelona', 'Barcelona', 'Catalunya',
  '01-12-2010', 9000, resultat);
 -- prova exc_codi_postal_nul
 pr_mod_central_distribucio ('6', 'C/ Sard, 14', '', 'Barcelona', 'Barcelona', 'Catalunya',
  '01-12-2010', 9000, resultat);
 -- prova exc_poblacio_nul
 pr_mod_central_distribucio ('6', 'C/ Sard, 14', 08450, '', 'Barcelona', 'Catalunya',
  '01-12-2010', 9000, resultat);
 -- prova exc_provincia_nul
 pr_mod_central_distribucio ('6', 'C/ Sard, 14', 08450, 'Barcelona', '', 'Catalunya',
  '01-12-2010', 9000, resultat);
 -- prova exc_pais_nul
 pr_mod_central_distribucio ('6', 'C/ Sard, 14', 08450, 'Barcelona', 'Barcelona', '',
  '01-12-2010', 9000, resultat);
 -- prova exc_capacitat_nul
 pr_mod_central_distribucio ('6', 'C/ Sard, 14', 08450, 'Barcelona', 'Barcelona', 'Catalunya',
  '01-12-2010', '', resultat);
 -- prova exc_falta_capacitat_CD
 pr_mod_central_distribucio ('6', 'C/ Sard, 14', 08450, 'Barcelona', 'Barcelona', 'Catalunya',
  '01-12-2010', 9, resultat);
 -- prova exc_falta_capacitat_CP
 pr_mod_central_distribucio ('6', 'C/ Sard, 14', 08450, 'Barcelona', 'Barcelona', 'Catalunya',
  '01-12-2010', 900000, resultat);


 -- MODIFICACI LNIA COMUNICACI

 pr_mod_linia_comunicacio ('1', 4000, resultat);

 -- prova exc_codi_linia_nul
pr_mod_linia_comunicacio ('', 4000, resultat);
 -- prova exc_linia_no_existeix
pr_mod_linia_comunicacio ('22', 4000, resultat);
 -- prova exc_capacitat_nul
pr_mod_linia_comunicacio ('1', '', resultat);
 -- prova exc_falta_capacitat_linia
pr_mod_linia_comunicacio ('1', 4, resultat);


 -- MODIFICACI PERSONA

 pr_modificacio_adrea_persona ('12345678A', 'C/ Amargura, 43', 43201,
  'Reus', 'Tarragona', 'Catalunya', resultat);

 -- prova exc_NIF_nul
 pr_modificacio_adrea_persona ('', 'C/ Amargura, 43', 43201,
  'Reus', 'Tarragona', 'Catalunya', resultat);
 -- prova  exc_NIF_no_existeix
 pr_modificacio_adrea_persona ('45645678A', 'C/ Amargura, 43', 43201,
  'Reus', 'Tarragona', 'Catalunya', resultat);
 -- prova exc_adrea_nul
 pr_modificacio_adrea_persona ('12345678A', '', 43201,
  'Reus', 'Tarragona', 'Catalunya', resultat);
 -- prova exc_codi_postal_nul
 pr_modificacio_adrea_persona ('12345678A', 'C/ Amargura, 43', '',
  'Reus', 'Tarragona', 'Catalunya', resultat);
 -- prova exc_poblacio_nul
 pr_modificacio_adrea_persona ('12345678A', 'C/ Amargura, 43', 43201,
  '', 'Tarragona', 'Catalunya', resultat);
 -- prova exc_provincia_nul
 pr_modificacio_adrea_persona ('12345678A', 'C/ Amargura, 43', 43201,
  'Reus', '', 'Catalunya', resultat);
 -- prova exc_pais_nul
 pr_modificacio_adrea_persona ('12345678A', 'C/ Amargura, 43', 43201,
  'Reus', 'Tarragona', '', resultat);

 -- MODIFICACI CONTADOR

 pr_modificacio_contador ('2', 2.2, 'C/ Amargor, 4', 43201, 'Reus', 'Tarragona', 'Catalunya',
  'GE', 'SuperCounter2', 2011, '789456', 1, '12345678B', resultat);

 -- prova exc_codi_contracte_nul
 pr_modificacio_contador ('', 2.2, 'C/ Amargor, 4', 43201, 'Reus', 'Tarragona', 'Catalunya',
  'GE', 'SuperCounter2', 2011, '789456', 1, '12345678B', resultat);
 -- prova exc_contador_no_existeix
 pr_modificacio_contador ('45', 2.2, 'C/ Amargor, 4', 43201, 'Reus', 'Tarragona', 'Catalunya',
  'GE', 'SuperCounter2', 2011, '789456', 1, '12345678B', resultat);
 -- prova exc_potencia_nul
 pr_modificacio_contador ('2', '', 'C/ Amargor, 4', 43201, 'Reus', 'Tarragona', 'Catalunya',
  'GE', 'SuperCounter2', 2011, '789456', 1, '12345678B', resultat);
 -- prova exc_adrea_nul
 pr_modificacio_contador ('2', 2.2, '', 43201, 'Reus', 'Tarragona', 'Catalunya',
  'GE', 'SuperCounter2', 2011, '789456', 1, '12345678B', resultat);
 -- prova exc_codi_postal_nul
 pr_modificacio_contador ('2', 2.2, 'C/ Amargor, 4', '', 'Reus', 'Tarragona', 'Catalunya',
  'GE', 'SuperCounter2', 2011, '789456', 1, '12345678B', resultat);
 -- prova exc_poblacio_nul
 pr_modificacio_contador ('2', 2.2, 'C/ Amargor, 4', 43201, '', 'Tarragona', 'Catalunya',
  'GE', 'SuperCounter2', 2011, '789456', 1, '12345678B', resultat);
 -- prova exc_provincia_nul
 pr_modificacio_contador ('2', 2.2, 'C/ Amargor, 4', 43201, 'Reus', '', 'Catalunya',
  'GE', 'SuperCounter2', 2011, '789456', 1, '12345678B', resultat);
 -- prova exc_pais_nul
 pr_modificacio_contador ('2', 2.2, 'C/ Amargor, 4', 43201, 'Reus', 'Tarragona', '',
  'GE', 'SuperCounter2', 2011, '789456', 1, '12345678B', resultat);
 -- prova exc_any_incorrecte
 pr_modificacio_contador ('2', 2.2, 'C/ Amargor, 4', 43201, 'Reus', 'Tarragona', 'Catalunya',
  'GE', 'SuperCounter2', 800, '789456', 1, '12345678B', resultat);
 -- prova exc_alta_disp_nul
 pr_modificacio_contador ('2', 2.2, 'C/ Amargor, 4', 43201, 'Reus', 'Tarragona', 'Catalunya',
  'GE', 'SuperCounter2', 2011, '789456', '', '12345678B', resultat);
 -- prova exc_no_dues_CDs
 pr_modificacio_contador ('1', 2.2, 'C/ Amargor, 4', 43201, 'Reus', 'Tarragona', 'Catalunya',
  'GE', 'SuperCounter2', 2011, '789456', 1, '12345678B', resultat);
 -- prova exc_falta_capacitat_CD
 pr_modificacio_contador ('2', 22.2, 'C/ Amargor, 4', 43201, 'Reus', 'Tarragona', 'Catalunya',
  'GE', 'SuperCounter2', 2011, '789456', 1, '12345678B', resultat);
 -- prova exc_client_nul
 pr_modificacio_contador ('2', 2.2, 'C/ Amargor, 4', 43201, 'Reus', 'Tarragona', 'Catalunya',
  'GE', 'SuperCounter2', 2011, '789456', 1, '', resultat);
 -- prova exc_client_no_existeix
 pr_modificacio_contador ('2', 2.2, 'C/ Amargor, 4', 43201, 'Reus', 'Tarragona', 'Catalunya',
  'GE', 'SuperCounter2', 2011, '789456', 1, '12345678Z', resultat);




 -- MODIFICACI CENTRALETA-CONTADOR

 pr_mod_centraleta_contracte ('22', '16', '17', resultat);

 --prova exc_codi_contracte_nul
 pr_mod_centraleta_contracte ('', '16', '17', resultat);
 --prova exc_contracte_baixa
 pr_baixa_contador ('23', resultat);
 pr_mod_centraleta_contracte ('23', '16', '17', resultat);
 --prova exc_codi_central_vella_nul
 pr_mod_centraleta_contracte ('22', '', '17', resultat);
 --prova exc_central_cont_no_existeix
 pr_mod_centraleta_contracte ('22', '8', '17', resultat);
 --prova exc_codi_central_nova_nul
 pr_mod_centraleta_contracte ('22', '17', '', resultat);
 --prova exc_central_nova_no_existeix
 pr_mod_centraleta_contracte ('22', '17', '45', resultat);
 --prova exc_falta_capacitat
 pr_mod_centraleta_contracte ('22', '17', '18', resultat);

END;